document.addEventListener("DOMContentLoaded", function() {
	const input = document.querySelector("#field_number");

  window.intlTelInput(input, {
    preferredCountries: ["co","cl","us","es","au","ca","mx","de","fr","ae","pa","gb","ar"],
    separateDialCode: true,
    utilsScript: "https://cdn.jsdelivr.net/npm/intl-tel-input@18.1.1/build/js/utils.js",
  });


});

function funcValidLeadsSend() {

  let form = $("#formRegitroLeadsContact");

  

  let numCelular = $('#field_number').val();

  if(numCelular == ""){

  $('#validationNumCel').show();

  }else{

  $('#validationNumCel').hide();

  }

  

  if (form[0].checkValidity() === false) {

    event.preventDefault();

    event.stopPropagation();

    form.addClass('was-validated');

  } else {

    funcLeadsContactSend();

    event.preventDefault();

    event.stopPropagation();

  }

}

// Función para obtener parámetros de la URL

function getParameterByName(name, queryString) {

  name = name.replace(/[\[\]]/g, '\\$&');

  const regex = new RegExp('[?&]' + name + '(=([^&#]*)|&|#|$)');

  const results = regex.exec('?' + queryString);

  if (!results) return null;

  if (!results[2]) return '';

  return decodeURIComponent(results[2].replace(/\+/g, ' '));

}

function getParameterUrl(){
  // URL de ejemplo
  const url = window.location.search;
  // Extraer la parte de los parámetros (todo lo que está después del signo de interrogación)
  const queryString = url.split('?')[1];
  // Obtener los valores específicos
  const origin = getParameterByName('origin', queryString);
  const code = getParameterByName('code', queryString);

  $('#field_project').val(code);
  $('#field_origin').val(origin);
}

function funcLeadsContactSend() {

  // URL de ejemplo

  const url = window.location.search;



  // Extraer la parte de los parámetros (todo lo que está después del signo de interrogación)

  const queryString = url.split('?')[1];



  // Obtener los valores específicos

  const origin = getParameterByName('origin', queryString);

  const code = getParameterByName('code', queryString);





  const form = document.getElementById("formRegitroLeadsContact");



  let data = new FormData(form);

  let apellidos = data.get("field_last_name");



  let objeto = {

    "numeroDocumento": data.get("field_num_document"),

    "primerNombre": data.get("field_name"),

    "primerApellido": data.get("field_last_name"),

    "tipoDocumento": data.get("field_type_document"),

    "motivoVisita": data.get("field_motivo_visita"),

    "canalOrigen": data.get("field_canal_origen"),

    "subCanalOrigen": data.get("field_sub_canal"),

    "origenMedioDigital": "true",

    "segmentoPublicitario": data.get("field_segmento_publicitario"),

    "medioPublicitario": data.get("field_medio_publicitario"),

    "correo": data.get("field_email"),

    "paisContacto": data.get("field_country"),

    "celular": data.get("field_number"),

    "cambioMasivoHabeasData": "true",

    "ciudadContacto": "Bogotá",

    "proyectoOrigen": code

  }



  $("#formRegitroLeadsContact #btnSubmitLeads").addClass("disabled");

  $('#msg_alert_leads_lc').empty();

  $('#msg_alert_leads_lc').append(`

    <div class="alert alert-info mt-3" role="alert">Espere un momento estamos validando la información</div>

  `);


  fetch('/constructora-bolivar-v2/api/integracion_global_serk', {

      method: 'POST',

      body: JSON.stringify(objeto),

      headers: {

          'Content-Type': 'application/json'

      }

  }).then(res => res.json()).then(data => {

      $('#msg_alert_leads_lc').empty();

      let info_request = data;

      console.log(info_request);

      let encontrado1 = info_request.indexOf("Se ha creado el cliente potencial correctamente!");

      let encontrado2 = info_request.indexOf("El cliente potencial ya existe, se asigno tarea para contactar al cliente");

      let encontrado3 = info_request.indexOf("El cliente potencial ya existe como contacto se creo oportunidad para iniciar gestion");

      let encontrado4 = info_request.indexOf("El cliente potencial ya existe!, se encontraba descalificado, se activo nuevamente y se asigno tarea de seguimiento");



      // Imprimir el resultado

      if (encontrado1 != -1 || encontrado2 != -1 || encontrado3 != -1 || encontrado4 != -1) { 

        let page_url = window.location.origin+'/constructora-bolivar-v2/contacto-exitoso';



        if(encontrado1 != -1){

          textMessage = "Se ha creado el cliente potencial correctamente!";

        }else if(encontrado2 != -1){

          textMessage = "El cliente potencial ya existe, se asigno tarea para contactar al cliente";

        }else if(encontrado3 != -1){

          textMessage = "El cliente potencial ya existe como contacto se creo oportunidad para iniciar gestión";

        }else{

          textMessage = "El cliente potencial ya existe!, se encontraba descalificado, se activo nuevamente y se asigno tarea de seguimiento";

        }



        $('#msg_alert_leads_lc').append(`

          <div class="alert alert-success mt-3" role="alert">`+ textMessage + `</div>

        `);

        

        setTimeout(function(){

          window.location.href = page_url;

        }, 4000);

      } else {

        $('#msg_alert_leads_lc').append(`

          <div class="alert alert-danger mt-3" role="alert">Hubo un error en sus solicitud, intente de nuevo más tarde.</div>

        `);

        $("#formRegitroLeadsContact #btnSubmitLeads").removeClass("disabled");

      }



    });



}



function setValueNullNumCel(e){

  let valueField = e.value;

  if(valueField != ""){

      $('#validationNumCel').hide();

  }

}



function soloLetras(e) {

  num = e.value;

  e.value = num.replace(/[^a-zA-Z\s]/g, '');

}



function soloNumeros(e) {

  var num = e.value;

  number = "";

  num = num.replace(/[^0-9]/g, '')

  if (num != "" && num != null) {

    number = Number(num) + "";

  }

  e.value = number

}