document.addEventListener("DOMContentLoaded", function() {
  function toggleSections() {
    const firstSection = document.querySelectorAll(".sectionSteps")[0];
    const secondSection = document.querySelectorAll(".sectionSteps")[1];

    if (window.matchMedia("(max-width: 770px)").matches) {
      firstSection.style.display = "none";
      secondSection.style.display = "block";
    } else {
      firstSection.style.display = "block";
      secondSection.style.display = "none";
    }
  }

  // Ejecutar la función al cargar y al redimensionar la ventana
  window.addEventListener("load", toggleSections);
  window.addEventListener("resize", toggleSections);

  

  if( $('.owl-carousel-main').length > 0 ){

    $('.owl-carousel-main').owlCarousel({

      loop:true,

      margin:0,

      responsiveClass:true,

      responsive:{

        0:{

            items:1,

            nav:true

        },

        600:{

            items:1,

            nav:false

        },

        1000:{

            items:1,

            nav:true,

            loop:false

        }

      }

    });

  }



  // if( $('.owl-carousel-projects').length > 0 ){

  //   $('.owl-carousel-projects').owlCarousel({

  //     loop:true,

  //     margin:30,

  //     nav:true,

  //     dots:true,

  //     responsiveClass:true,

  //     responsive:{

  //         0:{

  //             items:1

  //         },

  //         768:{

  //             items:2

  //         },

  //         1000:{

  //             items:3

  //         }

  //     }

  //   });

  // }



  // if( $('.owl-carousel-projects-lanz').length > 0 ){

  //   $('.owl-carousel-projects-lanz').owlCarousel({

  //     loop:true,

  //     margin:15,

  //     nav:true,

  //     dots:true,

  //     responsiveClass:true,

  //     responsive:{

  //         0:{

  //             items:1

  //         },

  //         768:{

  //             items:1

  //         },

  //         1000:{

  //             items:1

  //         }

  //     }

  //   });

  // }



  if( $('.owl-carousel-catalogo-lc').length > 0 ){

    $('.owl-carousel-catalogo-lc').owlCarousel({

      loop:true,

      margin:15,

      dots:true,

      responsiveClass:true,

      responsive:{

          0:{

              items:1

          },

          769:{

              items:1,
              nav:false

          },

          1000:{

              items:2,
              nav:true,

          }

      }

    });

  }



  // if( $('.owl-carousel-news').length > 0 ){

  //   $('.owl-carousel-news').owlCarousel({

  //     loop:false,

  //     margin:25,

  //     dots:false,

  //     responsiveClass:true,

  //     responsive:{

  //         0:{

  //             items:1

  //         },

  //         768:{

  //             items:1,
  //             nav:false

  //         },

  //         1000:{

  //             items:3,
  //             nav:true

  //         }

  //     }

  //   });

  // }



  if( $('.owl-carousel-testimonials').length > 0 ){

    $('.owl-carousel-testimonials').owlCarousel({

      loop:false,

      margin:25,

      dots:true,

      responsiveClass:true,

      responsive:{

          0:{

              items:1

          },

          768:{

              items:1,
              nav:true

          },

          1000:{

              items:3,
              nav:true

          }

      }

    });

  }



});