<?php

namespace Drupal\ciudades_sectores_json\Controller;

use Drupal\taxonomy\Entity\Term;
use Symfony\Component\HttpFoundation\JsonResponse;

class CiudadesSectoresController {

  /**
   * Endpoint para obtener ciudades y sus sectores.
   */
  public function getCiudadesSectores() {
    $categorias_data = [];

    // Cargar términos de la taxonomía "blog_categorias".
    // Primero, carga los términos de 'aliados_tyc'.
    $citysIds = \Drupal::entityQuery('taxonomy_term')
        ->condition('vid', 'ciudades') // Asegúrate de que 'aliados_tyc' es el ID correcto del vocabulario.
        ->accessCheck(FALSE)
        ->execute();

    // Luego, carga los términos correspondientes a esos IDs.
    $citysTerms = Term::loadMultiple($citysIds);

    foreach ($citysTerms as $key => $iemCityTerm) {
      // $sectores_ids = \Drupal::entityQuery('taxonomy_term')
      //   ->condition('field_ciudad', $iemCityTerm->tid) // Usa el ID del término de aliado.
      //   ->condition('vid', 'sector') // Asegúrate que 'sector' sea el ID correcto del vocabulario.
      //   ->accessCheck(FALSE)
      //   ->execute();

      //   $sectores_idssafa = Term::loadMultiple($sectores_ids);
      echo $iemCityTerm->id.'<br><br>';
    }

    

    // Ahora puedes procesar cada término y aplicar condiciones adicionales si es necesario.
    // foreach ($aliados_tyc_terms as $aliado) {

    // }

  //    print_r($sectores_idssafa);

    // foreach ($blog_categorias as $categoria) {
    //     $term_obj = \Drupal::entityTypeManager()->getStorage('taxonomy_term')->load($categoria->tid);
    //     // Cargar objeto de término para acceder a más información.
    //     // $term_obj = Term::load($categoria->tid);
        
    //     // Prepara los datos de la categoría.
    //     // $categoria_data = [
    //     //     'id' => $term_obj->id(),
    //     //     'nombre' => $term_obj->getName(),
    //     //     // Agrega más campos si es necesario.
    //     // ];

        

    //     // // Aquí podrías cargar los términos hijos si lo deseas.
    //     $hijos = \Drupal::entityQuery('taxonomy_term')
    //         ->condition('parent', $term_obj->id())
    //         ->condition('vid', 'sector') // Asegúrate de que este sea el vocabulario correcto.
    //         ->accessCheck(FALSE)
    //         ->execute();

    //         print_r($hijos);
    //         echo '<br>';

    //     // // Cargar información de los hijos.
    //     // if (!empty($hijos)) {
    //     //     $hijos_terms = Term::loadMultiple($hijos);
    //     //     $hijos_data = [];
    //     //     foreach ($hijos_terms as $hijo) {
    //     //         $hijos_data[] = [
    //     //             'id' => $hijo->id(),
    //     //             'nombre' => $hijo->getName(),
    //     //         ];
    //     //     }
    //     //     $categoria_data['hijos'] = $hijos_data; // Agregar los hijos a la categoría.
    //     // }

    //     // Añadir la categoría al array de resultados.
    //     $categorias_data[] = $categoria_data;
    // }

    // Devolver un JSON con las categorías y sus hijos.
    return new JsonResponse($categorias_data);
  }

}
