<?php

namespace Drupal\integracion_global_serk\Controller;

use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Drupal\Core\Cache\CacheableMetadata;

class ApiResourceController {

  public function post(Request $request) {

    try {

      // Obtener los datos del cuerpo de la solicitud
      $content = $request->getContent();
      $data = json_decode($content, true);
      
      $dataJson = json_encode($data);
      $curl = curl_init();
      //http://serk-dynamicsmig.azurewebsites.net/
      curl_setopt_array($curl, array(
        CURLOPT_URL => 'http://serk-dynamics.azurewebsites.net/api/CrearClientePotencial',
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',
        CURLOPT_POSTFIELDS => $dataJson,
        CURLOPT_HTTPHEADER => array(
          'Content-Type: application/json'
        ),
      ));

      $res = curl_exec($curl);
      curl_close($curl);
      $res = json_decode($res, true);

    }catch(\Exception $e) {
    }

    return new JsonResponse($res);
  }

}