document.addEventListener("DOMContentLoaded", function() {



  funcMegaMenu();



  var offcanvasMobile = document.getElementById('offcanvasMobile')
  offcanvasMobile.addEventListener('show.bs.offcanvas', function () {
    $('.wrapperMobileSubMenu .icoMenuMobile').addClass('icoCloseMenuMobile');
  });
  offcanvasMobile.addEventListener('hide.bs.offcanvas', function () {
    $('.wrapperMobileSubMenu .icoMenuMobile').removeClass('icoCloseMenuMobile');
  });






  // Constantes

  const searchInput = document.getElementById('searchInput');

  const searchButton = document.getElementById('searchButton');

  const recentSearches = document.getElementById('resultSearchRecien');

  const resultSugeri = document.getElementById('resultSugeri');

  const recentSearchList = document.getElementById('resultSearchRecienListItems');



  // Clave para almacenar las búsquedas en LocalStorage

  const SEARCH_KEY = 'recent_searches';



  // Función para guardar la búsqueda en LocalStorage

  function saveSearch(query) {

    if (!query) return;



    // Obtener búsquedas existentes

    let searches = JSON.parse(localStorage.getItem(SEARCH_KEY)) || [];



    // Eliminar duplicados y agregar al principio

    searches = [query, ...searches.filter(item => item !== query)];



    // Limitar a 5 búsquedas recientes

    if (searches.length > 5) {

      searches = searches.slice(0, 5);

    }



    // Guardar en LocalStorage

    localStorage.setItem(SEARCH_KEY, JSON.stringify(searches));



    // Redirigir a una página específica

    window.location.href = `/constructora-bolivar-v2/buscador?q=${encodeURIComponent(query)}`;



  }



  // Función para cargar búsquedas recientes

  function loadRecentSearches() {

    const searches = JSON.parse(localStorage.getItem(SEARCH_KEY)) || [];



    // Limpiar la lista

    recentSearchList.innerHTML = '';



    if( searches.length > 0 ){



      // Agregar búsquedas a la lista

      searches.forEach((search, index) => {

        const listItem = document.createElement('li');



        listItem.innerHTML = `

          <div class="wrapperContentReci">

            <div>

              <img src="/constructora-bolivar-v2/themes/custom/constructorabolivar/assets/header/icono-reload-quit.svg" width="18" height="18" alt="${search}">

              <h4>${search}</h4>

            </div>

            <a class="remove-search" data-index="${index}">

              <span>Quitar</span>

            </a>

          </div>

        `;



        listItem.addEventListener('click', (e) => {

          

          // Evitar que el clic en "Quitar" también seleccione la búsqueda

          if (!e.target.closest('.remove-search')) {

            $('#searchInput').val(search);

            $('#resultSearchRecien').removeClass('show');

          }



        });

        recentSearchList.appendChild(listItem);

      });



    }else{



      const listItemNullOne = document.createElement('li');



      listItemNullOne.innerHTML = `

        <div class="wrapperContentReci">

          <div>

            <h4>No se encontraron resultados</h4>

          </div>

        </div>

      `;

      recentSearchList.appendChild(listItemNullOne);



    }

  }



  // Manejar la eliminación de búsquedas

  recentSearchList.addEventListener('click', (e) => {

    const removeButton = e.target.closest('.remove-search');

    if (removeButton) {

      e.preventDefault();



      // Obtener el índice de la búsqueda a eliminar

      const indexToRemove = removeButton.dataset.index;



      // Eliminar del arreglo de LocalStorage

      let searches = JSON.parse(localStorage.getItem(SEARCH_KEY)) || [];

      searches.splice(indexToRemove, 1);

      localStorage.setItem(SEARCH_KEY, JSON.stringify(searches));



      // Recargar la lista de búsquedas

      loadRecentSearches();

    }

  });



  // Evento para guardar la búsqueda al hacer clic en el botón

  searchButton.addEventListener('click', () => {

    const query = searchInput.value.trim();

    if (query) {

      saveSearch(query);

      loadRecentSearches();

    }

  });



  // Evento para mostrar búsquedas recientes al enfocar el input

  searchInput.addEventListener('focus', () => {

    let searchExis = searchInput.value;

    if(searchExis.length < 3){

      loadRecentSearches();

      $('#resultSearchRecien').addClass('show');

    }

  });



  // Evento para ocultar las búsquedas recientes al hacer clic fuera del input

  document.addEventListener('click', (e) => {

    if (!recentSearches.contains(e.target) && e.target !== searchInput) {

      $('#resultSearchRecien').removeClass('show');

    }

  });



  // Evento para ocultar las búsquedas recientes al hacer clic fuera del input

  document.addEventListener('click', (e) => {

    if (!resultSugeri.contains(e.target) && e.target !== searchInput) {

      $('#resultSugeri').removeClass('show');

    }

  });



  setTimeout(() => {

  // Eliminar el texto "Con la tecnología de"

    const gadget = document.querySelector('.goog-te-gadget');

    if (gadget) {

      const nodes = gadget.childNodes;

      nodes.forEach(node => {

        if (node.nodeType === 3 && node.nodeValue.includes('Con la tecnología de ')) {

          node.remove();

        }

      });

    }

  }, 500);



});



function googleTranslateElementInit() {

  new google.translate.TranslateElement({pageLanguage: 'es', includedLanguages: 'en,fr,es', layout: google.translate.TranslateElement.InlineLayout.VERTICAL}, 'google_translate_element');

  $('document').ready(function () {
    const customSelect = document.getElementById("customSelect");
    const dropdownMenu = document.getElementById("dropdownMenu");
    const selectedLanguage = document.getElementById("selectedLanguage");
    const arrowIcon = document.getElementById("arrowIcon");
    const realSelect = document.querySelector(".goog-te-combo");

    // Manejar clic en el botón
    customSelect.addEventListener("click", () => {
        dropdownMenu.classList.toggle("active");
        arrowIcon.style.transform = dropdownMenu.classList.contains("active") ? "rotate(180deg)" : "rotate(0deg)";
    });

    // Manejar selección de idioma
    dropdownMenu.querySelectorAll("li").forEach(item => {
        item.addEventListener("click", () => {
            selectedLanguage.textContent = item.textContent;
            realSelect.value = item.dataset.value;
            realSelect.dispatchEvent(new Event("change")); // Disparar el evento para traducir si es Google Translate
            dropdownMenu.classList.remove("active");
            //arrowIcon.style.transform = "rotate(0deg)";
        });
    });

    // Cerrar si se hace clic fuera
    document.addEventListener("click", (event) => {
        if (!customSelect.contains(event.target) && !dropdownMenu.contains(event.target)) {
            dropdownMenu.classList.remove("active");
            //arrowIcon.style.transform = "rotate(0deg)";
        }
    });
    document.querySelectorAll("#dropdownMenu li").forEach(item => {
      item.addEventListener("click", () => {
          const selectedText = item.textContent; // Obtiene el nombre del idioma
          if (item.attributes['data-value'].nodeValue !== "") {
            document.getElementById("selectedLanguage").textContent = "Idioma: " + selectedText; // Concatenar "Idioma:"
            
          }
          
          // Opcional: Si estás usando un <select> oculto para Google Translate
          const realSelect = document.querySelector(".goog-te-combo");
          realSelect.value = item.dataset.value;
          realSelect.dispatchEvent(new Event("change")); // Disparar cambio en el select
      });
  });
  })
}

$(document).on('click', "a.itemLinkMobile", function(e) {
  e.preventDefault();
  let menuMobil = $(this).attr('data-menumobil');
  console.log(menuMobil);
  if(menuMobil == 'proyectos'){
    $('.stepInitialMenuMobil').hide();
    $('.stepCitysMenuMobil, #listMegaMenuCitysMobile').show();
  }

});


$(document).on('click', ".itemReturnStep", function(e) {
  e.preventDefault();
  let returnMobile = $(this).attr('data-returnstep');
  
  if(returnMobile == 'initial'){
    $('.stepCitysMenuMobil').hide();
    $('.stepInitialMenuMobil').show();
  }else if(returnMobile == 'citys'){
    $('.stepCitysSectorsMobil').hide();
    $('.stepCitysMenuMobil').show();
    $('#listMegaMenuCitysMobile li').show();
  }

});

$(document).on('click', "a.linkLvlOneMobile", function(e) {

  e.preventDefault();

  let dataMainMenu = $(this).attr('data-mainmenu');
  $('.stepCitysMenuMobil').hide();
  $('.stepCitysSectorsMobil').show();

  $('#listMegaMenuSectorsMobile ul').hide();
  $('#listMegaMenuSectorsMobile ul[data-parentmenu="'+dataMainMenu+'"]').show();

  $('a.linkLvlOneMobile').parents('li').hide();
  $('a.linkLvlOneMobile[data-parencity="'+dataMainMenu+'"]').parents('li').show();

});


$(document).on('click', "a.linkLvlOne", function(e) {

  e.preventDefault();

  let dataMainMenu = $(this).attr('data-mainmenu');

  $('#listMegaMenuSectors ul').hide();

  $('#listMegaMenuSectors ul[data-parentmenu="'+dataMainMenu+'"]').show();

  $('#listMegaMenuBarrios ul').hide();



  const ulList = document.querySelectorAll('#listMegaMenuSectors ul');

  let algunoVisible = false;



  ulList.forEach((ul) => {

    const style = window.getComputedStyle(ul);

    if (style.display !== 'none') {

      algunoVisible = true;

    }

  });



  $('#wrapperTwoColumMenu').hide();

  $('#wrapperThreeColumMenu').hide();

  $('#wrapperFourColumMenu').hide();

  $('#wrapperFourColumMenu #listMegaMenuProjects').empty();



  if (algunoVisible) {

    $('#wrapperTwoColumMenu').show();

  }



});



$(document).on('click', "a.linkLvlTwo", function(e) {

  e.preventDefault();

  let textOptionsProject = $(this).text();

  let dataParentCity = parseInt($(this).attr('data-parencity'));

  let dataLvlMenu = $(this).attr('data-chieldmenuactive');



  $('#textWrapperFourProject').empty();

  $('#textWrapperFourProject').text(textOptionsProject);

  

  if(dataParentCity != 21 && dataParentCity != 62){//Para operacion bogota que tiene barrios

    

    $('#listMegaMenuBarrios ul').hide();

    $('#listMegaMenuBarrios ul[data-chieldmenuone="'+dataLvlMenu+'"]').show();

    

    const ulList = document.querySelectorAll('#listMegaMenuBarrios ul');

    let algunoVisible = false;



    ulList.forEach((ul) => {

      const style = window.getComputedStyle(ul);

      if (style.display !== 'none') {

        algunoVisible = true;

      }

    });



    $('#wrapperThreeColumMenu').hide();

    $('#wrapperFourColumMenu').hide();

    $('#wrapperFourColumMenu #listMegaMenuProjects').empty();

    if (algunoVisible) {

      $('#wrapperThreeColumMenu').show();

    }

  }else{//Para operacion cali que no tiene barrios

    $('#listMegaMenuProjects').empty();

    funcMegaMenuProjects(dataParentCity,dataLvlMenu, 'all');

  }



  



});



$(document).on('click', "a.linkLvlThree", function(e) {

  e.preventDefault();
  let dataLvlOneMenu = $(this).attr('data-parencitychield');
  let dataLvlTwoMenu = $(this).attr('data-parensectorchield');
  let dataLvlMenu = $(this).attr('data-chieldmenuoneactive');
  funcMegaMenuProjects(dataLvlOneMenu,dataLvlTwoMenu, dataLvlMenu);
  

});

async function funcFilter(e){
  let valueFilter = e.value;
  const wrapperList = document.querySelector('#resultSugeri .wrapperListResultItem');
  const wrapperListMobile = document.querySelector('#resultSugeriMobile .wrapperListResultItem');
  
  if(valueFilter.length >= 3){
    if( $('#resultSearchRecien').hasClass('show') || $('#resultSearchRecienMobile').hasClass('show') ){
      $('#resultSearchRecien, #resultSearchRecienMobile').removeClass('show');
    }
    
    try {
      const response = await fetch(`/constructora-bolivar-v2/api/buscador?q=` + valueFilter + `&type=proyectos&page=0&items_per_page=5`);
      const data = await response.json();
      let dataFull = data.results;
      
      // Limpiar los resultados previos
      wrapperList.innerHTML = '';
      wrapperListMobile.innerHTML = '';
      
      if (dataFull.length > 0) {
        dataFull.forEach(item => {
          // Crear elementos de lista separados para cada contenedor
          const listItemDesktop = document.createElement('li');
          const listItemMobile = document.createElement('li');
          
          const listItemHTML = `
            <a href="${item.url}" class="itemResult">
              <h4>${item.title}</h4>
              <img src="/constructora-bolivar-v2/themes/custom/constructorabolivar/assets/header/icono-upper-right-arrow.svg" width="18" height="18" alt="${item.title}">
            </a>
          `;
          
          listItemDesktop.innerHTML = listItemHTML;
          listItemMobile.innerHTML = listItemHTML;
          
          wrapperList.appendChild(listItemDesktop);
          wrapperListMobile.appendChild(listItemMobile);
        });
        
        $('#resultSugeri').addClass('show');
        $('#resultSugeriMobile').addClass('show');
      } else {
        const listItemTwo = document.createElement('li');
        listItemTwo.innerHTML = `
          <a href="javascript:void(0);" style="cursor: initial;" class="itemResult">
            <h4>No se encontraron resultados</h4>
          </a>
        `;
        
        wrapperList.appendChild(listItemTwo.cloneNode(true));
        wrapperListMobile.appendChild(listItemTwo);
        
        $('#resultSugeri, #resultSugeriMobile').addClass('show');
      }
    } catch (error) {
      console.error('Error al realizar la búsqueda:', error);
    }
  } else {
    $('#resultSugeri, #resultSugeriMobile').removeClass('show');
    if( !$('#resultSearchRecien').hasClass('show') || !$('#resultSugeriMobile').hasClass('show') ){
      $('#resultSearchRecien, #resultSugeriMobile').addClass('show');
    }
  }
}

// async function funcFilter(e){

//   let valueFilter = e.value;

//   const wrapperList = document.querySelector('#resultSugeri .wrapperListResultItem');
//   const wrapperListMobile = document.querySelector('#resultSugeriMobile .wrapperListResultItem');



//   if(valueFilter.length >= 3){



//     if( $('#resultSearchRecien').hasClass('show') || $('#resultSearchRecienMobile').hasClass('show') ){
//       $('#resultSearchRecien, #resultSearchRecienMobile').removeClass('show');
//     }



//     try {

//       const response = await fetch(`/constructora-bolivar-v2/api/buscador?q=` + valueFilter + `&type=proyectos&page=0&items_per_page=5`); // Cambia la URL a tu endpoint

//       const data = await response.json();
//       let dataFull = data.results;

//       // Limpiar los resultados previos

//       wrapperList.innerHTML = '';
//       wrapperListMobile.innerHTML = '';

//       if (dataFull.length > 0) {

//         dataFull.forEach(item => {

//           const listItem = document.createElement('li');

//           listItem.innerHTML = `

//             <a href="${item.url}" class="itemResult">

//               <h4>${item.title}</h4>

//               <img src="/constructora-bolivar-v2/themes/custom/constructorabolivar/assets/header/icono-upper-right-arrow.svg" width="18" height="18" alt="${item.title}">

//             </a>

//           `;
//           console.log(listItem);
//           wrapperList.appendChild(listItem);
//           wrapperListMobile.appendChild(listItem);

//         });

//         console.log(wrapperList);

//         $('#resultSugeri').addClass('show'); // Mostrar los resultados
//         //$('#resultSearchRecien').addClass('show');
        
//         $('#resultSugeriMobile').addClass('show');

//       } else {

//         const listItemTwo = document.createElement('li');

//           listItemTwo.innerHTML = `

//             <a href="javascript:void(0);" style="cursor: initial;" class="itemResult">

//               <h4>No se encontraron resultados</h4>

//             </a>

//           `;

//           wrapperList.appendChild(listItemTwo);
//           wrapperListMobile.appendChild(listItemTwo);

//         $('#resultSugeri, #resultSugeriMobile').addClass('show');

//       }



//     } catch (error) {

//       console.error('Error al realizar la búsqueda:', error);

//     }

//   }else{

//     $('#resultSugeri, #resultSugeriMobile').removeClass('show');

//     if( !$('#resultSearchRecien').hasClass('show') || !$('#resultSugeriMobile').hasClass('show') ){

//       $('#resultSearchRecien, #resultSugeriMobile').addClass('show');

//     }

//   }

// }



async function funcMegaMenu(){

  try {

    let response = await fetch(`/constructora-bolivar-v2/api/menu/ciudades`); // Cambia la URL a tu endpoint

    let data = await response.json();



    let listMegaMenuCitys = $('#listMegaMenuCitys');
    let listMegaMenuCitysMobil = $('#listMegaMenuCitysMobile');

    

    // Limpiar los resultados previos

    listMegaMenuCitys.innerHTML = '';
    listMegaMenuCitysMobil.innerHTML = '';

    if (data.length > 0) {

      data.forEach(item => {

        listMegaMenuCitys.append(`

          <li>

            <a href="#" class="linkLvlOne" data-mainmenu="${item.tid}">${item.name}</a>

          </li>

        `);

        listMegaMenuCitysMobil.append(`

          <li>

            <a href="#" class="linkLvlOneMobile" data-mainmenu="${item.tid}">${item.name}</a>

          </li>

        `);

        funcMegaMenuSectors(item.tid);

      });

    }



  } catch (error) {

    console.error('Error al realizar la búsqueda:', error);

  }

}

async function funcMegaMenuSectors(idCity){

  try {

    let response = await fetch(`/constructora-bolivar-v2/api/menu/sectores/`+idCity); // Cambia la URL a tu endpoint

    let data = await response.json();



    let listMegaMenuCitys = $('#listMegaMenuSectors');
    let listMegaMenuCitysMobile = $('#listMegaMenuSectorsMobile');

    

    // Limpiar los resultados previos

    listMegaMenuCitys.innerHTML = '';
    listMegaMenuCitysMobile.innerHTML = '';

    if (data.length > 0) {

      let listSubItem = '<ul data-parentmenu="'+idCity+'">';

      data.forEach(item => {

        listSubItem += `<li><a href="#" class="linkLvlTwo" data-parencity="`+idCity+`" data-chieldmenuactive="${item.tid}">${item.name}</a></li>`;

        if(idCity != 21 && idCity != 62){

          funcMegaMenuBarrios(idCity, item.tid);

        }

      });

      listSubItem += '</ul>';



      listMegaMenuCitys.append(listSubItem);
      listMegaMenuCitysMobile.append(listSubItem);

    }



  } catch (error) {

    console.error('Error al realizar la búsqueda:', error);

  }

}



async function funcMegaMenuBarrios(idCity,idSector){

  try {

    let response = await fetch(`/constructora-bolivar-v2/api/menu/barrios/`+idSector); // Cambia la URL a tu endpoint

    let data = await response.json();



    let listMegaMenuCitys = $('#listMegaMenuBarrios');

    

    // Limpiar los resultados previos

    listMegaMenuCitys.innerHTML = '';

    if (data.length > 0) {

      let listSubItem = '<ul data-chieldmenuone="'+idSector+'">';

      data.forEach(item => {

        listSubItem += `<li><a href="#" class="linkLvlThree" data-parencitychield="${idCity}" data-parensectorchield="${idSector}" data-chieldmenuoneactive="${item.tid}">${item.name}</a></li>`;

      });

      listSubItem += '</ul>';



      listMegaMenuCitys.append(listSubItem);

    }



  } catch (error) {

    console.error('Error al realizar la búsqueda:', error);

  }

}



async function funcMegaMenuProjects(idCity,idSector,idBarrio){

  try {

    let response = await fetch(`/constructora-bolivar-v2/api/menu/proyectos-vivienda/`+idCity+`/`+idSector+`/`+idBarrio); // Cambia la URL a tu endpoint

    let data = await response.json();

    $('#listMegaMenuProjects').empty();

    let listMegaMenuProjects = $('#listMegaMenuProjects');

    

    // Limpiar los resultados previos

    listMegaMenuProjects.innerHTML = '';

    $('#wrapperFourColumMenu').hide();



    if (data.length > 0) {

      let listSubItem = '<ul style="display: block;" data-parentprocity="'+idCity+'" data-parentprosector="'+idSector+'" data-parentprobarrio="'+idBarrio+'" >';

      data.forEach(item => {

        listSubItem += `<li><a href="`+item.view_node+`">${item.title}</a></li>`;

      });

      listSubItem += '</ul>';



      listMegaMenuProjects.append(listSubItem);







      $('#wrapperFourColumMenu').show();



      const ulList = document.querySelectorAll('#listMegaMenuProjects ul');

      let algunoVisible = false;



      ulList.forEach((ul) => {

        const style = window.getComputedStyle(ul);

        if (style.display !== 'none') {

          algunoVisible = true;

        }

      });



      if (algunoVisible) {

        $('#wrapperFourColumMenu').show();

      }



    }



  } catch (error) {

    console.error('Error al realizar la búsqueda:', error);

  }

}

$(document).on('click', function(e) {
  // Verificar si el clic no está dentro del menú específico ni en los elementos que lo activan
  if (!$(e.target).closest('.wrapperSectionMegaMenu[data-wrappermenucontent="proyectos"]').length && 
      !$(e.target).closest('.wrapperHeaderBottom a.itemLink[data-wrappermenu="proyectos"]').length) {
    
    // Ocultar el menú de proyectos
    $('.wrapperSectionMegaMenu[data-wrappermenucontent="proyectos"]').removeClass('active');
    
    // Opcional: remover la clase active del elemento de menú
    $('.wrapperHeaderBottom > ul > li').removeClass('active');
  }

  if (!$(e.target).closest('.wrapperSectionMegaMenu[data-wrappermenucontent="soy-cliente-bolivar"]').length && 
      !$(e.target).closest('.wrapperHeaderBottom a.itemLink[data-wrappermenu="soy-cliente-bolivar"]').length) {
    
    // Ocultar el menú de soy-cliente-bolivar
    $('.wrapperSectionMegaMenu[data-wrappermenucontent="soy-cliente-bolivar"]').removeClass('active');
    
    // Opcional: remover la clase active del elemento de menú
    $('.wrapperHeaderBottom > ul > li').removeClass('active');
  }

  if (!$(e.target).closest('.wrapperSectionMegaMenu[data-wrappermenucontent="quienes-somos"]').length && 
      !$(e.target).closest('.wrapperHeaderBottom a.itemLink[data-wrappermenu="quienes-somos"]').length) {
    
    // Ocultar el menú de quienes-somos
    $('.wrapperSectionMegaMenu[data-wrappermenucontent="quienes-somos"]').removeClass('active');
    
    // Opcional: remover la clase active del elemento de menú
    $('.wrapperHeaderBottom > ul > li').removeClass('active');
  }

});


$(document).on('click', "a.itemLink", function(e) {

  e.preventDefault();

  let wrapperMenu = $(this).attr('data-wrappermenu');

  if(wrapperMenu == undefined){
    window.location.href=$(this).attr('href');
  }

  let wrapperSelectMenu = $('.wrapperSectionMegaMenu[data-wrappermenucontent="'+wrapperMenu+'"]');







//   $( ".wrapperHeaderBottom .itemLink" ).each(function( index ) {

    $( ".wrapperHeaderBottom > ul > li" ).removeClass('active');

    $(this).parent('li').addClass('active');

//   });





  //Controla la visualización del mega menu

  $('.wrapperSectionMegaMenu').removeClass('active');



  if(wrapperSelectMenu.length > 0){

    $('.wrapperSectionMegaMenu[data-wrappermenucontent="'+wrapperMenu+'"]').addClass('active');

  }



});