// $(document).ready(function () {



// });



document.addEventListener("DOMContentLoaded", function() {



  funcInternalAvaObra();



  if( $('#modalShareBtn').length > 0 ){



    // Obtener elementos

    const modal = document.getElementById("modalShareBtn");

    const openModalButtons  = document.querySelectorAll(".openModalShareBtn");

    const closeModalSpan = document.querySelector(".closeShareBtn");



    // Función para abrir el modal

    function openModal() {

        modal.style.display = "block";

    }



    // Función para cerrar el modal

    function closeModal() {

        modal.style.display = "none";

    }



    openModalButtons.forEach(button => {

      button.addEventListener("click", (event) => {

          event.preventDefault(); // Previene comportamiento por defecto (si es necesario)

          openModal();

      });

    });



    // Evento para manejar clics en el documento para cerrar el modal

    document.addEventListener("click", (event) => {

      if (event.target === closeModalSpan || event.target === modal || closeModalSpan.contains(event.target)) {

        // Si se hace clic en el botón de cerrar o fuera del contenido del modal

        closeModal();

      }

    });



  }



  const targetFilterCity = document.querySelectorAll("#filterTargetCity");

  targetFilterCity.forEach(title => {
    title.addEventListener("click", function() {
      const sibling = this.nextElementSibling;
      if (sibling && sibling.classList.contains("wrapperFilterTargetCity")) {
        sibling.classList.toggle("show");
      }
    });
  });

  const targetFilterPrice = document.querySelectorAll("#filterTargetPrice");

  targetFilterPrice.forEach(title => {
    title.addEventListener("click", function() {
      const sibling = this.nextElementSibling;
      if (sibling && sibling.classList.contains("wrapperFilterTargetPrice")) {
        sibling.classList.toggle("show");
      }
    });
  });

  const targetFilterMultiplesMore = document.querySelectorAll("#filterTargetMore");

  targetFilterMultiplesMore.forEach(title => {
    title.addEventListener("click", function() {
      const sibling = this.nextElementSibling;
      if (sibling && sibling.classList.contains("wrapperFilterTargetMore")) {
        sibling.classList.toggle("show");
      }
    });
  });

  //Mobile TARGET
  // TOGGLE: Abrir/cerrar cada filtro al hacer clic
  const targetFilterCityMobile = document.querySelectorAll(".filterTargetCityMobile");

  targetFilterCityMobile.forEach(title => {
    title.addEventListener("click", function(event) {
      event.stopPropagation(); // ❗️Evita que el clic llegue al document y lo cierre

      const sibling = this.nextElementSibling;
      if (sibling && sibling.classList.contains("wrapperFilterTargetCityMobile")) {
        sibling.classList.toggle("show");
      }
    });
  });

  const targetFilterPriceMobile = document.querySelectorAll(".filterTargetPriceMobile");

  targetFilterPriceMobile.forEach(title => {
    title.addEventListener("click", function(event) {
      event.stopPropagation(); // ❗️Evita que el clic llegue al document y lo cierre

      const sibling = this.nextElementSibling;
      if (sibling && sibling.classList.contains("wrapperFilterTargetPriceMobile")) {
        sibling.classList.toggle("show");
      }
    });
  });



});





// Cerrar el filtro si se hace clic fuera de él, pero no en el #filterTargetPrice

document.addEventListener("click", function(event) {

  event.stopImmediatePropagation();

  const filtersOne = document.querySelectorAll(".wrapperFilterTargetPrice");

  filtersOne.forEach(filter => {
    // Verifica si el clic fue fuera del filtro y no en el activador #filterTargetPrice
    if (!filter.contains(event.target) && !document.querySelector("#filterTargetPrice").contains(event.target)) {
      filter.classList.remove("show");
    }
  });

  const filtersTwo = document.querySelectorAll(".wrapperFilterTargetCity");

  filtersTwo.forEach(filter => {
    // Verifica si el clic fue fuera del filtro y no en el activador #filterTargetPrice
    if (!filter.contains(event.target) && !document.querySelector("#filterTargetCity").contains(event.target)) {
      filter.classList.remove("show");
    }
  });

  //Mobile
  // Cerrar filtros de ciudad móvil
  const filtersOneMobile = document.querySelectorAll(".wrapperFilterTargetCityMobile");
  const activatorsOneMobile = document.querySelectorAll(".filterTargetCityMobile");

  filtersOneMobile.forEach(filter => {
    const clickedInsideFilter = filter.contains(event.target);
    const clickedInsideActivator = Array.from(activatorsOneMobile).some(el => el.contains(event.target));

    if (!clickedInsideFilter && !clickedInsideActivator) {
      filter.classList.remove("show");
    }
  });

  // Cerrar filtros de precio móvil
  const filtersTwoMobile = document.querySelectorAll(".wrapperFilterTargetPriceMobile");
  const activatorsTwoMobile = document.querySelectorAll(".filterTargetPriceMobile");

  filtersTwoMobile.forEach(filter => {
    const clickedInsideFilter = filter.contains(event.target);
    const clickedInsideActivator = Array.from(activatorsTwoMobile).some(el => el.contains(event.target));

    if (!clickedInsideFilter && !clickedInsideActivator) {
      filter.classList.remove("show");
    }
  });

});





function initMap() {

  let latUbi = parseFloat(document.getElementById('fieldUbiLat').value);

  let lonUbi = parseFloat(document.getElementById('fieldUbiLon').value);

  let labelMap = document.getElementById('textTitleProject').innerText;



  // The location of Uluru

  const position = { lat: latUbi, lng: lonUbi };



  const map = new google.maps.Map(document.getElementById("map-projects"),  {

    zoom: 14,

    center: position,

    mapId: "DEMO_MAP_ID", 

  });



  // Crear el elemento de imagen como nodo DOM

  const imgElement = document.createElement("img");

  imgElement.src = "/constructora-bolivar-v2/themes/custom/constructorabolivar/assets/internaProyecto/icon-location.svg";

  imgElement.alt = labelMap;

  imgElement.style.width = "70px";  // Ajusta el tamaño según sea necesario

  imgElement.style.height = "70px";



  // The advanced marker, positioned at Uluru

  const marker = new google.maps.marker.AdvancedMarkerElement({

    map: map,

    position: position,

    title: labelMap,

    content: imgElement

  });



}



document.addEventListener('DOMContentLoaded', function () {



  //Muestra el mapa

  if( $('#map-projects').length > 0 ){

    initMap();

  }



  targetInitScroll();



  if( $('.owl-carousel-typs-aptos').length > 0 ){

    $('.owl-carousel-typs-aptos').owlCarousel({

      loop:false,

      nav:true,

      dots:true,

      margin:30,

      responsiveClass:true,

      responsive:{

        0:{

            items:1,

            nav:true

        },

        600:{

            items:1,

            nav:false

        },

        1000:{

            items:3

        }

      }

    });

  }



  if( $('.owl-carousel-card-lc-interna').length > 0 ){

    $('.owl-carousel-card-lc-interna').owlCarousel({

      items: 1,

      loop:false,

      nav:true,

      dots:false,

      margin:10,

      responsiveClass:true,

      responsive:{

        0:{

          loop:false

        },

        600:{

          loop:false

        },

        1000:{

          loop:false

        }

      }

    });

  }

  

  if( $('.owl-carousel-card-lc').length > 0 ){

    $('.owl-carousel-card-lc').owlCarousel({

      items: 1,

      loop:false,

      nav:true,

      dots:true,

      margin:10,

      responsiveClass:true,

      responsive:{

        0:{

          loop:false

        },

        600:{

          loop:false

        },

        1000:{

          loop:false

        }

      }

    });

  }



  if( $('.owl-carousel-gallery').length > 0 ){

    $('.owl-carousel-gallery').owlCarousel({

      loop:false,

      margin:0,

      nav:false,

      dots:true,

      responsiveClass:true,

      responsive:{

          0:{

              items:1

          },

          768:{

              items:1

          },

          1000:{

              items:1

          }

      }

    });

  }





  const options = document.querySelectorAll('.wrapperTypeAptsItemOption');

  if(options.length > 0){

    options.forEach(option => {

      option.addEventListener('click', () => {

        document.querySelectorAll('.wrapperTypeAptsItemOption.active')

          .forEach(activeOption => activeOption.classList.remove('active'));

        option.classList.add('active');



        const idTarget = option.getAttribute('date-idtarget');



        document.querySelectorAll('.wrapperContentTypeAptsItem.active')

          .forEach(hiddenDiv => hiddenDiv.classList.remove('active'));



        // Mostrar el div correspondiente al idTarget

        const targetDiv = document.querySelector(`[date-idcontent="${idTarget}"]`);

        if (targetDiv) {

            targetDiv.classList.add('active');

        }



      });

    });

  }



  // owlCarouselSyncThumb();



  // $('#modalModuleMultimedia').on('hidden.bs.modal', function (event) {

  //   $('#pills-tab .nav-link').removeClass('active').removeClass('show');

  //   $('#pills-tabContent .tab-pane').removeClass('show').removeClass('active');

  // })



  // $('#modalModuleMultimedia').on('shown.bs.modal', function (event) {

  //   let button = $(event.relatedTarget);

  //   let targetTab = button.data('tabtarget');



  //   $('#pills-tab .nav-link').removeClass('active').removeClass('show');

  //   $('#pills-tabContent .tab-pane').removeClass('show').removeClass('active');



  //   $('#pills-tab #'+targetTab+"-tab").addClass('active');

  //   $('#pills-tabContent #'+targetTab).addClass('show');

  //   $('#pills-tabContent #'+targetTab).addClass('active');

  // })

  

});



function setMultimediaTargetContent(targetTab){

  $('#pills-tab .nav-link').removeClass('active').removeClass('show');

  $('#pills-tabContent .tab-pane').removeClass('show').removeClass('active');



  $('#pills-tab #'+targetTab+"-tab").addClass('active');

  $('#pills-tabContent #'+targetTab).addClass('show');

  $('#pills-tabContent #'+targetTab).addClass('active');

}



function setProjectCompare(id) {

  // Recupera el array actual desde localStorage (o un array vacío si no existe)

  let compareIds = JSON.parse(localStorage.getItem('compareIdsProject')) || [];



  // Verifica si el ID ya está en el array

  if (!compareIds.includes(id)) {

    // Agrega el nuevo ID solo si el array tiene menos de 3 elementos

    if (compareIds.length < 3) {

      compareIds.push(id);

      // Guarda el array actualizado en localStorage

      localStorage.setItem('compareIdsProject', JSON.stringify(compareIds));

    } else {

      console.warn("Solo se pueden agregar un máximo de 3 IDs a la comparación.");

    }

  } else {

    console.warn("El ID ya está en la lista de comparación.");

  }

}





function setProjectSimulator(id){

  localStorage.setItem('simulador_id_project',id);

}





$(document).ready(function(){



  $("#minPrice,#maxPrice").on('change', function () {



    var minPriceRange = parseInt($("#minPrice").val());



    var maxPriceRange = parseInt($("#maxPrice").val());



    if (minPriceRange > maxPriceRange) {

    $('#maxPrice').val(minPriceRange);

    }



    $("#sliderRange").slider({

    values: [minPriceRange, maxPriceRange]

    });

    

  });





  $("#minPrice,#maxPrice").on("paste keyup", function () {                                        



    var minPriceRange = parseInt($("#minPrice").val());



    var maxPriceRange = parseInt($("#maxPrice").val());

    

    if(minPriceRange == maxPriceRange){



      maxPriceRange = minPriceRange + 100;

      

      $("#minPrice").val(minPriceRange);   

      $("#maxPrice").val(maxPriceRange);

    }



    $("#sliderRange").slider({

    values: [minPriceRange, maxPriceRange]

    });



  });





  $(function () {

    $("#sliderRange").slider({

    range: true,

    orientation: "horizontal",

    min: 100000000,

    max: 1000000000,

    values: [100000000, 1000000000],

    step: 100000000,



    slide: function (event, ui) {

      if (ui.values[0] == ui.values[1]) {

        return false;

      }

      

      $("#minPrice").val(ui.values[0]);

      $("#maxPrice").val(ui.values[1]);

    }

    });



    $("#minPrice").val($("#sliderRange").slider("values", 0));

    $("#maxPrice").val($("#sliderRange").slider("values", 1));



  });



  $("#sliderRange,#price-range-submit").click(function () {



    var minPrice = $('#minPrice').val();

    var maxPrice = $('#maxPrice').val();



    $("#searchResults").text("Here List of products will be shown which are cost between " + minPrice  +" "+ "and" + " "+ maxPrice + ".");

  });



});





function targetInitScroll(){

  let buttons = document.querySelectorAll('.btnScroll');

  buttons.forEach(button => {

      button.addEventListener('click', function () {

          let targetId = this.getAttribute('data-target');

          let targetElement = document.querySelector(targetId);



          if (targetElement) {

              smoothScroll(targetElement);

          }

      });

  });

}



function smoothScroll(target) {

  let targetPosition = target.getBoundingClientRect().top + window.scrollY;

  let startPosition = window.scrollY;



  let positionCustom = 0;

  if(document.querySelectorAll('.wrapperSingleLCMain').length > 0){

    positionCustom = 20;

  }



  let distance = ((targetPosition - startPosition)-positionCustom);

  let duration = 1000; // Duración del scroll en milisegundos

  let startTime = null;



  function animation(currentTime) {

      if (startTime === null) startTime = currentTime;

      let timeElapsed = currentTime - startTime;

      let run = ease(timeElapsed, startPosition, distance, duration);

      window.scrollTo(0, run);

      if (timeElapsed < duration) requestAnimationFrame(animation);

  }



  function ease(t, b, c, d) {

      t /= d / 2;

      if (t < 1) return c / 2 * t * t + b;

      t--;

      return -c / 2 * (t * (t - 2) - 1) + b;

  }



  requestAnimationFrame(animation);

}



function owlCarouselSyncThumb(){

  var sync1 = $("#sync1");

  var sync2 = $("#sync2");

  var slidesPerPage = 4; //globaly define number of elements per page

  var syncedSecondary = true;



  sync1.owlCarousel({

      items: 1,

      slideSpeed: 2000,

      nav: true,

      autoplay: false, 

      dots: false,

      loop: true,

      responsiveRefreshRate: 200,

      navText: ['<svg width="100%" height="100%" viewBox="0 0 11 20"><path style="fill:none;stroke-width: 1px;stroke: #000;" d="M9.554,1.001l-8.607,8.607l8.607,8.606"/></svg>', '<svg width="100%" height="100%" viewBox="0 0 11 20" version="1.1"><path style="fill:none;stroke-width: 1px;stroke: #000;" d="M1.054,18.214l8.606,-8.606l-8.606,-8.607"/></svg>'],

  }).on('changed.owl.carousel', syncPosition);



  sync2

      .on('initialized.owl.carousel', function() {

          sync2.find(".owl-item").eq(0).addClass("current");

      })

      .owlCarousel({

          items: slidesPerPage,

          dots: false,

          nav: true,

          smartSpeed: 200,

          slideSpeed: 500,

          slideBy: slidesPerPage, //alternatively you can slide by 1, this way the active slide will stick to the first item in the second carousel

          responsiveRefreshRate: 100

      }).on('changed.owl.carousel', syncPosition2);



  function syncPosition(el) {

      //if you set loop to false, you have to restore this next line

      //var current = el.item.index;



      //if you disable loop you have to comment this block

      var count = el.item.count - 1;

      var current = Math.round(el.item.index - (el.item.count / 2) - .5);



      if (current < 0) {

          current = count;

      }

      if (current > count) {

          current = 0;

      }



      //end block



      sync2

          .find(".owl-item")

          .removeClass("current")

          .eq(current)

          .addClass("current");

      var onscreen = sync2.find('.owl-item.active').length - 1;

      var start = sync2.find('.owl-item.active').first().index();

      var end = sync2.find('.owl-item.active').last().index();



      if (current > end) {

          sync2.data('owl.carousel').to(current, 100, true);

      }

      if (current < start) {

          sync2.data('owl.carousel').to(current - onscreen, 100, true);

      }

  }



  function syncPosition2(el) {

      if (syncedSecondary) {

          var number = el.item.index;

          sync1.data('owl.carousel').to(number, 100, true);

      }

  }



  sync2.on("click", ".owl-item", function(e) {

      e.preventDefault();

      var number = $(this).index();

      sync1.data('owl.carousel').to(number, 300, true);

  });

}



function funcValidLeadsSend() {

  let form = $("#formRegitroLeadsContact");

  

  let numCelular = $('#field_number').val();

  if(numCelular == ""){

  $('#validationNumCel').show();

  }else{

  $('#validationNumCel').hide();

  }

  

  if (form[0].checkValidity() === false) {

    event.preventDefault();

    event.stopPropagation();

    form.addClass('was-validated');

  } else {

    funcLeadsContactSend();

    event.preventDefault();

    event.stopPropagation();

  }

}



function funcLeadsContactSend() {

  const form = document.getElementById("formRegitroLeadsContact");



  let data = new FormData(form);

  let apellidos = data.get("field_last_name");



  let objeto = {

    "numeroDocumento": data.get("field_num_document"),

    "primerNombre": data.get("field_name"),

    "primerApellido": data.get("field_last_name"),

    "tipoDocumento": data.get("field_type_document"),

    "motivoVisita": data.get("field_motivo_visita"),

    "canalOrigen": data.get("field_canal_origen"),

    "subCanalOrigen": data.get("field_sub_canal"),

    "origenMedioDigital": "true",

    "segmentoPublicitario": data.get("field_segmento_publicitario"),

    "medioPublicitario": data.get("field_medio_publicitario"),

    "correo": data.get("field_email"),

    "paisContacto": $('#field_country option:selected').text(),

    "celular": data.get("field_number"),

    "cambioMasivoHabeasData": "true",

    "ciudadContacto": data.get("field_city"),

    "proyectoOrigen": data.get("field_project")

  }



  $("#formRegitroLeadsContact #btnSubmitLeads").addClass("disabled");

  $('#msg_alert_leads_lc').empty();

  $('#msg_alert_leads_lc').append(`

    <div class="alert alert-info mt-3" role="alert">Espere un momento estamos validando la información</div>

  `);



  fetch('https://cbolivar-web-dev.azurewebsites.net/integracion_global_serk/api_global_serk_resource', {

      method: 'POST',

      body: JSON.stringify(objeto),

      headers: {

          'Content-Type': 'application/json'

      }

  }).then(res => res.json()).then(data => {

      $('#msg_alert_leads_lc').empty();

      let info_request = data;

      console.log(info_request);

      let encontrado1 = info_request.indexOf("Se ha creado el cliente potencial correctamente!");

      let encontrado2 = info_request.indexOf("El cliente potencial ya existe, se asigno tarea para contactar al cliente");

      let encontrado3 = info_request.indexOf("El cliente potencial ya existe como contacto se creo oportunidad para iniciar gestion");

      let encontrado4 = info_request.indexOf("El cliente potencial ya existe!, se encontraba descalificado, se activo nuevamente y se asigno tarea de seguimiento");



      // Imprimir el resultado

      if (encontrado1 != -1 || encontrado2 != -1 || encontrado3 != -1 || encontrado4 != -1) {  

        let sPath = window.location.pathname;

        let sPage = sPath.substring(sPath.lastIndexOf("/") + 1);

        let page_url = window.location.origin+'/contacto-exitoso/bogota?proyecto=' + sPage;



        if(encontrado1 != -1){

          textMessage = "Se ha creado el cliente potencial correctamente!";

        }else if(encontrado2 != -1){

          textMessage = "El cliente potencial ya existe, se asigno tarea para contactar al cliente";

        }else if(encontrado3 != -1){

          textMessage = "El cliente potencial ya existe como contacto se creo oportunidad para iniciar gestión";

        }else{

          textMessage = "El cliente potencial ya existe!, se encontraba descalificado, se activo nuevamente y se asigno tarea de seguimiento";

        }



        $('#msg_alert_leads_lc').append(`

          <div class="alert alert-success mt-3" role="alert">`+ textMessage + `</div>

        `);

        

        setTimeout(function(){

          window.location.href = page_url;

        }, 4000);

      } else {

        $('#msg_alert_leads_lc').append(`

          <div class="alert alert-danger mt-3" role="alert">Hubo un error en sus solicitud, intente de nuevo más tarde.</div>

        `);

        $("#formRegitroLeadsContact #btnSubmitLeads").removeClass("disabled");

      }



    });



}



if( $('#yearSelector').length > 0 ){

  document.getElementById('yearSelector').addEventListener('change', function() {

    const selectedYear = this.value;

    const items = document.querySelectorAll('.carousel-indicators li');

    

    items.forEach((item,index) => {

        const itemYear = item.getAttribute('data-anio');

        if (selectedYear === '' || itemYear === selectedYear) {

          item.style.display = 'block'; // Muestra el elemento

        } else {

          item.style.display = 'none'; // Oculta el elemento

        }

    });



    // Selecciona el primer elemento con display: block

    const firstVisibleItem = Array.from(items).find(item => item.style.display === 'block');



    if (firstVisibleItem) {

      // Dispara un evento o realiza una acción

      firstVisibleItem.click();

    }

  });

}



async function funcInternalAvaObra(){



  let idNode = $('#idNode').val();

  // $('select[name="avance_obra_anio"]').empty();

  $('select[name="avance_obra_anio"]').append(`<option value="">Seleccionar mes</option>`);



  if(idNode){



    try {

      const response = await fetch(`/constructora-bolivar-v2/api/avance-de-obra?project_id=`+idNode); // Cambia la URL a tu endpoint

      const filteredData = await response.json();



      // Si necesitas acceder solo al campo 'field_work_progress' del ID encontrado

      if (filteredData.length > 0) {



        $('.displayAvaObraBtn').show();



        const fieldWorkProgress = filteredData[0].field_work_progress;

        

        let imgArrayItems = [];

        fieldWorkProgress.forEach(item => {

          $('select[name="avance_obra_anio"]').append(`<option value="`+item.field_fecha+`">`+item.field_fecha+`</option>`);

          

          item.field_imgs.forEach(itemTwo => {

            imgArrayItems.push({'itemTwo':itemTwo,'itemDate':item.field_fecha});

          });



        });

        

        imgArrayItems.forEach((itemThree,index) => {

          let classActive = '';

          if(index == 0){

            classActive = 'active';

          }



          $('#carouselCustomMultiCaptionsAvObra .carousel-indicators').append(`

            <li data-bs-target="#carouselCustomMultiCaptionsAvObra" data-anio="`+itemThree.itemDate+`" data-bs-slide-to="`+index+`" class="`+classActive+`" >

              <img src="`+itemThree.itemTwo+`" width="100%" height="auto" class="d-block w-100" alt="`+itemThree.itemDate+`">

            </li>

          `);

          $('#carouselCustomMultiCaptionsAvObra .carousel-inner').append(`

            <div class="carousel-item `+classActive+`">

              <img src="`+itemThree.itemTwo+`" class="d-block w-100" alt="`+itemThree.itemDate+`">

            </div>

          `);

        }); 



      }



    } catch (error) {

      console.error('Error al realizar la búsqueda:', error);

    }

  }

}



function setValueNullNumCel(e){

  let valueField = e.value;

  if(valueField != ""){

      $('#validationNumCel').hide();

  }

}



function soloLetras(e) {

  num = e.value;

  e.value = num.replace(/[^a-zA-Z\s]/g, '');

}



function soloNumeros(e) {

  var num = e.value;

  number = "";

  num = num.replace(/[^0-9]/g, '')

  if (num != "" && num != null) {

    number = Number(num) + "";

  }

  e.value = number

}