document.addEventListener("DOMContentLoaded", function() {

  targetInitScroll();

  // const titleElements = document.querySelectorAll(".titleWrapperCustomFilter");

  // titleElements.forEach(title => {
  //   title.addEventListener("click", function() {
  //     const sibling = this.nextElementSibling;
  //     console.log(sibling);
  //     if (sibling && sibling.classList.contains("wrapperDrownSecundaryFilterUl")) {
  //       sibling.classList.toggle("show");
  //     }
  //   });
  // });

  const targetFilterCity = document.querySelectorAll("#filterTargetCity");

  targetFilterCity.forEach(title => {
    title.addEventListener("click", function() {
      const sibling = this.nextElementSibling;
      if (sibling && sibling.classList.contains("wrapperFilterTargetCity")) {
        sibling.classList.toggle("show");
      }
    });
  });

  const targetFilterPrice = document.querySelectorAll("#filterTargetPrice");

  targetFilterPrice.forEach(title => {
    title.addEventListener("click", function() {
      const sibling = this.nextElementSibling;
      if (sibling && sibling.classList.contains("wrapperFilterTargetPrice")) {
        sibling.classList.toggle("show");
      }
    });
  });

  const targetFilterMultiplesMore = document.querySelectorAll("#filterTargetMore");

  targetFilterMultiplesMore.forEach(title => {
    title.addEventListener("click", function() {
      const sibling = this.nextElementSibling;
      if (sibling && sibling.classList.contains("wrapperFilterTargetMore")) {
        sibling.classList.toggle("show");
      }
    });
  });



});

// Cerrar el filtro si se hace clic fuera de él, pero no en el #filterTargetPrice
document.addEventListener("click", function(event) {
  const filtersOne = document.querySelectorAll(".wrapperFilterTargetPrice");

  filtersOne.forEach(filter => {
    // Verifica si el clic fue fuera del filtro y no en el activador #filterTargetPrice
    if (!filter.contains(event.target) && !document.querySelector("#filterTargetPrice").contains(event.target)) {
      filter.classList.remove("show");
    }
  });

  const filtersTwo = document.querySelectorAll(".wrapperFilterTargetCity");

  filtersTwo.forEach(filter => {
    // Verifica si el clic fue fuera del filtro y no en el activador #filterTargetPrice
    if (!filter.contains(event.target) && !document.querySelector("#filterTargetCity").contains(event.target)) {
      filter.classList.remove("show");
    }
  });
});


document.addEventListener("DOMContentLoaded", function() {
  $("#minPrice,#maxPrice").on('change', function () {

    var minPriceRange = parseInt($("#minPrice").val());

    var maxPriceRange = parseInt($("#maxPrice").val());

    if (minPriceRange > maxPriceRange) {
    $('#maxPrice').val(minPriceRange);
    }

    $("#sliderRange").slider({
    values: [minPriceRange, maxPriceRange]
    });
    
  });


  $("#minPrice,#maxPrice").on("paste keyup", function () {                                        

    var minPriceRange = parseInt($("#minPrice").val());

    var maxPriceRange = parseInt($("#maxPrice").val());
    
    if(minPriceRange == maxPriceRange){

      maxPriceRange = minPriceRange + 100;
      
      $("#minPrice").val(minPriceRange);   
      $("#maxPrice").val(maxPriceRange);
    }

    $("#sliderRange").slider({
    values: [minPriceRange, maxPriceRange]
    });

  });


  $(function () {
    $("#sliderRange").slider({
    range: true,
    orientation: "horizontal",
    min: 100000000,
    max: 900000000,
    values: [100000000, 900000000],
    step: 100000000,

    slide: function (event, ui) {
      if (ui.values[0] == ui.values[1]) {
        return false;
      }
      
      $("#minPrice").val(ui.values[0]);
      $("#maxPrice").val(ui.values[1]);
    }
    });

    $("#minPrice").val($("#sliderRange").slider("values", 0));
    $("#maxPrice").val($("#sliderRange").slider("values", 1));

  });

  $("#sliderRange,#price-range-submit").click(function () {

    var minPrice = $('#minPrice').val();
    var maxPrice = $('#maxPrice').val();

    $("#searchResults").text("Here List of products will be shown which are cost between " + minPrice  +" "+ "and" + " "+ maxPrice + ".");
  });
});


function targetInitScroll(){
  let buttons = document.querySelectorAll('.btnScroll');
  buttons.forEach(button => {
      button.addEventListener('click', function () {
          let targetId = this.getAttribute('data-target');
          let targetElement = document.querySelector(targetId);

          if (targetElement) {
              smoothScroll(targetElement);
          }
      });
  });
}

function smoothScroll(target) {
  let targetPosition = target.getBoundingClientRect().top + window.scrollY;
  let startPosition = window.scrollY;

  let positionCustom = 0;
  if(document.querySelectorAll('.wrapperSingleLCMain').length > 0){
    positionCustom = 20;
  }

  let distance = ((targetPosition - startPosition)-positionCustom);
  let duration = 1000; // DuraciÃ³n del scroll en milisegundos
  let startTime = null;

  function animation(currentTime) {
      if (startTime === null) startTime = currentTime;
      let timeElapsed = currentTime - startTime;
      let run = ease(timeElapsed, startPosition, distance, duration);
      window.scrollTo(0, run);
      if (timeElapsed < duration) requestAnimationFrame(animation);
  }

  function ease(t, b, c, d) {
      t /= d / 2;
      if (t < 1) return c / 2 * t * t + b;
      t--;
      return -c / 2 * (t * (t - 2) - 1) + b;
  }

  requestAnimationFrame(animation);
}